unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    BEdit: TButton;
    BNew: TButton;
    BSave: TButton;
    BLoad: TButton;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    procedure BEditClick(Sender: TObject);
    procedure BLoadClick(Sender: TObject);
    procedure BSaveClick(Sender: TObject);
    procedure BNewClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Chart, Series, EditChar, TeeConst, TeeStore;

var Chart1: TChart;

procedure TForm1.BNewClick(Sender: TObject);
begin
  Chart1.Free;
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;

  Chart1.Title.Text.Text:=TeeMsg_Version;
  Chart1.View3D:=false;
  Chart1.AddSeries(TLineSeries).FillSampleValues;
end;

procedure TForm1.BEditClick(Sender: TObject);
begin
  EditChart(Self, Chart1);
end;

procedure TForm1.BLoadClick(Sender: TObject);
var tmpChart : TCustomChart;
begin
  Chart1.Free;
  tmpChart:=TChart.Create(Self);

  With OpenDialog1 do
  begin
    Filter:= 'Teefiles|*.tee';
    if Execute then
       LoadChartfromFile(tmpChart,OpenDialog1.FileName);
  end;

  Chart1:=tmpChart as TChart;
  Chart1.Parent:=Self;
end;

procedure TForm1.BSaveClick(Sender: TObject);
begin
  with SaveDialog1 do
  begin
    Filter:='Teefiles|*.tee';

    if Execute then
     SaveChartToFile(Chart1, SaveDialog1.FileName, True);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption:=TeeMsg_Version;
end;

end.
